Satellite 6 should ship with larger default configurations to support large client installs
Status: Closed   

Priority: Normal   

Assignee: Chris Roberts   

Category: Foreman modules   

Target version: 1.18.0   

Difficulty: medium Fixed in Releases: 1.18.0

Triaged: No Found in Releases:  

Bugzilla link: 1312098 Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy/pull/409,

https://github.com/theforeman/foreman-i

nstaller/pull/264,

https://github.com/theforeman/foreman-i
https://github.com/theforeman/foreman-i

nstaller/pull/269,

https://github.com/theforeman/foreman-i

nstaller/pull/278,

https://github.com/theforeman/foreman-i

nstaller/pull/279

  

Description

Cloned from BZ:

Right now we have a pre-set limit of 225 Content Hosts for QPID which is far too low, see the install guide section:

https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html/Installation_Guide/sect-Red_Hat_Satellite-Installation_G

uide-Prerequisites.html#sect-Red_Hat_Satellite-Installation_Guide-Prerequisites-Large_deployments

"""

Increasing the Maximum Number of Client Connections

With more than 225 content hosts, qpidd reaches the maximum number of client connections. To increase it, first establish the new

value of the limit that is calculated as:

"""

we should have our installer configure the various system level values to increase the defaults so customers don't hit arbitrary limits

with reasonable # of clients.

Ideally we can support up to 30k clients without requiring manual reconfiguration.

Associated revisions

Revision e72eb02f - 02/27/2018 08:09 PM - Chris Roberts

Refs #22513 - Expose the dynflow file limit

Revision eb46741a - 02/28/2018 07:04 PM - Chris Roberts

Fixes #22513 - add exposed params to hiera

Revision 7ff596e1 - 03/06/2018 12:50 PM - Chris Roberts

Refs #22513 - add default queue param

Revision a6300830 - 04/24/2018 03:06 PM - Chris Roberts 

Refs #22513 - Allow overriding postgresql server settings via hiera

Revision ba3af760 - 06/21/2018 09:32 AM - Michael Moll 
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html/Installation_Guide/sect-Red_Hat_Satellite-Installation_Guide-Prerequisites.html#sect-Red_Hat_Satellite-Installation_Guide-Prerequisites-Large_deployments
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html/Installation_Guide/sect-Red_Hat_Satellite-Installation_Guide-Prerequisites.html#sect-Red_Hat_Satellite-Installation_Guide-Prerequisites-Large_deployments


Refs #22513 - use appropriate puppetlabs/postgresql release

History

#1 - 02/05/2018 02:06 PM - Chris Roberts

- Project changed from Katello to Installer

- Category changed from Installer to Foreman modules

#2 - 02/05/2018 02:11 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/409 added

#3 - 02/27/2018 09:24 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/264 added

#4 - 02/28/2018 08:01 PM - Chris Roberts

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset eb46741a3955314baebded90fba01feed0831391.

#5 - 03/01/2018 02:27 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/265 added

#6 - 04/04/2018 03:51 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/269 added

#7 - 06/20/2018 09:28 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/278 added

#8 - 06/21/2018 09:52 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/279 added

#9 - 07/12/2018 02:06 PM - Ewoud Kohl van Wijngaarden

- Target version set to 1.18.0

- Triaged set to No

- Fixed in Releases 1.18.0 added
